<?php
/*
Plugin Name: icoro One Word
Plugin URI: http://www.icoro.com/
Description: 一言を表示するだけのプラグインです。メッセージを表示したい場所に<code>&lt;?php icoroOneWord(); ?&gt;</code>と入力して下さい。
表示するメッセージはダッシュボードで変更できます。HTMLタグもそのまま使えちゃうと思います。
Author: icoro
Version: 1.1
Author URI: http://www.icoro.com/
*/
/*

デフォルトのメッセージ( I love icoro! )を変更したい場合は、
48行目にある

$options['text'] = 'I love <a href="http://www.icoro.com/">icoro</a>!';

を

$options['text'] = '表示したいメッセージ';

のように書き換えてください。

*/

function icoroOneWord() {
	$text = icoroOneWord_get_text();
	echo $text;
}

function icoroOneWord_callback() {
	$text = icoroOneWord_get_text();
	$html = '<p>' . $text . '</p>';
	echo $html;
}

function icoroOneWord_get_text() {
	$options = icoroOneWord_get_options();
	$text = nl2br( $options['text'] );
	return $text;
}

function icoroOneWord_get_options() {
	if ( ( !$options = get_option( 'icoroOneWord_options' ) ) || !is_array( $options ) ) {
		$options = array();
	}
	if ( !$options['text'] ) {
		$options['text'] = 'I love <a href="http://www.icoro.com/">icoro</a>!'; //デフォルトのメッセージの設定
	}
	return $options;
}
 
function icoroOneWord_setup() {
 	$options = icoroOneWord_get_options();
 	if ( strtolower($_SERVER['REQUEST_METHOD']) == 'post' && isset( $_POST['widget_id'] ) && $_POST['widget_id'] == 'icoroOneWord' ) {
		foreach ( array( 'text' ) as $key ) {
				$options[$key] = stripslashes_deep($_POST[$key]);
		}
		update_option( 'icoroOneWord_options', $options );
	}
	$html  = '<textarea name="text" style="width: 100%">' . $options['text'] . '</textarea>';
	$html .= '<p style="color:#666;font-size:10px;">空の場合はデフォルトのメッセージが表示されます。</p>';
	echo $html;
}

function icoroOneWord_init() {
	wp_add_dashboard_widget( 'icoroOneWord', '今日の一言', 'icoroOneWord_callback', 'icoroOneWord_setup' );
}

function icoroOneWord_uninstall() {
	delete_option( 'icoroOneWord_options' );
}

$plugin_basename = plugin_basename(__FILE__);

add_action( 'deactivate_' . $plugin_basename, 'icoroOneWord_uninstall' );
add_action('wp_dashboard_setup', 'icoroOneWord_init');

?>
